from setuptools import setup, find_packages

from tlsrpt_exporter import __version__

setup(
    name='tlsrpt_exporter',
    version=__version__,
    url='https://git.kabelsalat.ch/s3lph/prometheus-tlsrpt-exporter',
    license='MIT',
    author='s3lph',
    author_email='',
    description='Prometheus exporter for TLSRPT reports',
    long_description='''
Collects TLSRPT reports and exposes their statistics per domain as
Prometheus metrics as well as on a web interface.
''',
    packages=find_packages(exclude=['*.test']),
    python_requires='>=3.11',
    install_requires=[
        'bottle',
        'jinja2',
    ],
    extras_require={
        'test': [
            'coverage',
            'pycodestyle',
            'twine'
        ]
    },
    test_loader='unittest:TestLoader',
    entry_points={
        'console_scripts': [
            'prometheus-tlsrpt-exporter = tlsrpt_exporter.__main__:main'
        ]
    }
)
